[gobject-introspection] Make gtk-doc not a hard dependency of gobject-introspection



commit 62c67bcc35967a3628ff9c09f7c8c77144dd4b6d
Author: Javier JardÃn <jjardon gnome org>
Date:   Wed Sep 26 01:17:07 2012 +0900

    Make gtk-doc not a hard dependency of gobject-introspection
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=684795

 autogen.sh       |   13 +++++++++----
 configure.ac     |    8 +++++++-
 docs/Makefile.am |    2 ++
 3 files changed, 18 insertions(+), 5 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 0eac5f5..51f51c4 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -7,10 +7,16 @@ test -n "$srcdir" || srcdir=.
 olddir=`pwd`
 cd "$srcdir"
 
-GTKDOCIZE=`which gtkdocize`
+GTKDOCIZE=$(which gtkdocize 2>/dev/null)
 if test -z $GTKDOCIZE; then
-        echo "*** No GTK-Doc found, please install it ***"
-        exit 1
+        echo "You don't have gtk-doc installed, and thus won't be able to generate the documentation."
+        rm -f gtk-doc.make
+        cat > gtk-doc.make <<EOF
+EXTRA_DIST =
+CLEANFILES =
+EOF
+else
+        gtkdocize || exit $?
 fi
 
 AUTORECONF=`which autoreconf`
@@ -19,7 +25,6 @@ if test -z $AUTORECONF; then
         exit 1
 fi
 
-gtkdocize || exit $?
 autoreconf --force --install --verbose || exit $?
 
 cd "$olddir"
diff --git a/configure.ac b/configure.ac
index 28d6f14..775b50a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -231,7 +231,13 @@ GIREPO_CFLAGS="$GIREPO_CFLAGS $FFI_CFLAGS"
 GIREPO_CFLAGS="$GIREPO_CFLAGS $GCOV_CFLAGS"
 
 # gtk-doc
-GTK_DOC_CHECK([1.15],[--flavour no-tmpl])
+# gtkdocize greps for ^GTK_DOC_CHECK and parses it, so you need to have
+# it on it's own line.
+m4_ifdef([GTK_DOC_CHECK], [
+GTK_DOC_CHECK([1.15], [--flavour no-tmpl])
+],[
+AM_CONDITIONAL([ENABLE_GTK_DOC],[false])
+])
 
 # Checks for header files.
 AC_HEADER_STDC
diff --git a/docs/Makefile.am b/docs/Makefile.am
index f3ddc22..d216247 100644
--- a/docs/Makefile.am
+++ b/docs/Makefile.am
@@ -1 +1,3 @@
+if ENABLE_GTK_DOC
 SUBDIRS = reference
+endif



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]